<?php
spl_autoload_register(function ($class) {
    $file = implode(DIRECTORY_SEPARATOR, [ __DIR__, 'lib', "$class.php" ]);
    if (file_exists($file)) {
        require $file;
        return true;
    }
    return false;
});

require 'user-config.php';

Data::ensureDb();

/**
 * Render the page title
 * @param string $title The title of the page being displayed
 */
function page_head(string $title): void {
    ?><!DOCTYPE html>
<html lang="en">
<head>
    <title><?=$title?> | Feed Reader Central</title>
</head>
<body><?php
}

/**
 * Render the end of the page
 */
function page_foot(): void {
    ?></body></html><?php
}
